--- src/auth/db-passwd-file.c.orig      2003-05-18 05:26:28.000000000 -0700
+++ src/auth/db-passwd-file.c   2004-03-19 15:32:52.000000000 -0700
@@ -153,6 +153,9 @@ static void passwd_file_open(struct pass
                if (args[1] != NULL) {
                        /* at least two fields */
                        const char *no_args = NULL;
+
+                       args[0] = str_lcase(args[0]);
+
                        passwd_file_add(pw, args[0], args[1],
                                        pw->userdb ? args+2 : &no_args);
                }
@@ -219,6 +222,8 @@ db_passwd_file_lookup(struct passwd_file
 {
        struct passwd_user *pu;

+       user = str_lcase(user);
+
        passwd_file_sync(pw);

        pu = hash_lookup(pw->users, user);

